Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] OpenMPI launch problem
From: Giacomo Rossi (giacomo_rossi_1982_at_[hidden])
Date: 2011-06-14 17:03:26


Hello, I try to compile a program qith mpif90 but I receive the following
error:

"Cannot open configuration file
/opt/OpenFOAM/ThirdParty-1.7.1/platforms/linux64Gcc/openmpi-1.4.1/share/openmpi/mpif90-
wrapper-data.txt
Error parsing data file mpif90: Not found"

I've installed openmpi from archlinux repository and then I've compiled from
source openfoam. Now I uninstall openfoam but I get this error again... How
can I change the link for the correct wrapper (located in /usr/share/openmpi)?

And how can I change from gfortran to ifort compiler? Can I just modify the
mpif90-wrapper-data.txt?

Thanks

Giacomo Rossi, Space Engineer, PhD Student
University of Rome - Sapienza
Department of Mechanical and Aerospace Engineering
Via Eudossiana, 18 - 00184 Rome, Italy